
require_relative  "ClientKernel"

module ATrigger
  module ClassMethods
    # By default use a single client for the module
    def init(options = {})
      @client = ATrigger::Client.new(options)
    end

    def doCreate(options)
      return false unless @client
      @client.doCreate(options)
    end

    def doDelete(_tags) 
      return false unless @client
      @client.doDelete(_tags)
    end

    def doPause(_tags) 
      return false unless @client
      @client.doPause(_tags) 
    end

    def doResume(_tags) 
      return false unless @client
      @client.doResume(_tags) 
    end
    def doGet(_tags) 
      return false unless @client
      @client.doGet(_tags) 
    end
    def errorsCount
      return false unless @client
      @client.errorsCount
    end
    def verifyRequest(_requestIP) 
      return false unless @client
      @client.verifyRequest(_requestIP) 
    end
  end
  extend ClassMethods
end
